# `<css-editor>`

A simple [Web-Component][wc] to live-edit CSS. Built with [CodeMirror][cm].

## Usage

```html
<css-editor>
    <style>
        .ball {
            width: 100px;
            height: 100px;
            border-radius: 50%;
            outline: 2px solid red;
            background: repeating-conic-gradient(
                in hsl longer hue,
                red, red
            );
        }
    </style>
</css-editor>
```

## Installation

It's available as an module on npm.
So you can install it using your package-manager of choice, or directly through [esm.sh][esmsh]

### Install via npm:

```sh
npm install css-editor-element
```

### Use directly via esm.sh

```html
<script type="module">
import "https://esm.sh/css-editor-element"
</script>
```

## Work in progress

[wc]: https://developer.mozilla.org/en-US/docs/Web/API/Web_components
[cm]: https://codemirror.net
[esmsh]: https://esm.sh
